package com.fs.store.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsStoreProductTemplateMapper;
import com.fs.store.domain.FsStoreProductTemplate;
import com.fs.store.service.IFsStoreProductTemplateService;

/**
 * 商品模板Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreProductTemplateServiceImpl implements IFsStoreProductTemplateService 
{
    @Autowired
    private FsStoreProductTemplateMapper fsStoreProductTemplateMapper;

    /**
     * 查询商品模板
     * 
     * @param tempId 商品模板ID
     * @return 商品模板
     */
    @Override
    public FsStoreProductTemplate selectFsStoreProductTemplateById(Long tempId)
    {
        return fsStoreProductTemplateMapper.selectFsStoreProductTemplateById(tempId);
    }

    /**
     * 查询商品模板列表
     * 
     * @param fsStoreProductTemplate 商品模板
     * @return 商品模板
     */
    @Override
    public List<FsStoreProductTemplate> selectFsStoreProductTemplateList(FsStoreProductTemplate fsStoreProductTemplate)
    {
        return fsStoreProductTemplateMapper.selectFsStoreProductTemplateList(fsStoreProductTemplate);
    }

    /**
     * 新增商品模板
     * 
     * @param fsStoreProductTemplate 商品模板
     * @return 结果
     */
    @Override
    public int insertFsStoreProductTemplate(FsStoreProductTemplate fsStoreProductTemplate)
    {
        return fsStoreProductTemplateMapper.insertFsStoreProductTemplate(fsStoreProductTemplate);
    }

    /**
     * 修改商品模板
     * 
     * @param fsStoreProductTemplate 商品模板
     * @return 结果
     */
    @Override
    public int updateFsStoreProductTemplate(FsStoreProductTemplate fsStoreProductTemplate)
    {
        return fsStoreProductTemplateMapper.updateFsStoreProductTemplate(fsStoreProductTemplate);
    }

    /**
     * 批量删除商品模板
     * 
     * @param tempIds 需要删除的商品模板ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductTemplateByIds(Long[] tempIds)
    {
        return fsStoreProductTemplateMapper.deleteFsStoreProductTemplateByIds(tempIds);
    }

    /**
     * 删除商品模板信息
     * 
     * @param tempId 商品模板ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreProductTemplateById(Long tempId)
    {
        return fsStoreProductTemplateMapper.deleteFsStoreProductTemplateById(tempId);
    }
}
